#!/usr/bin/env Rscript

args <- commandArgs(trailingOnly=TRUE)
setwd(args[1])
library(centiserve)

## for static ###

net <- commandArgs(trailingOnly=TRUE)

dd <- read.table(paste(args[1], "/Data/", args[2], sep = ""))
gg <- graph.data.frame(dd, directed=FALSE)
tf <- topocoefficient(gg)
tf1 <- data.frame(tf)
tf1$ID <- row.names(tf1)
tf2 <- cbind(tf1$ID, tf1$tf)

write.table(tf2, "topo_coefficient.txt", sep="\t", row.names = FALSE, col.names = FALSE, quote =  FALSE)


